> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List of Locations and Languages for AI Keyword Data API

> Using this endpoint you can get the full list of locations and languages supported in AI Keyword Data API.



## OpenAPI

````yaml openapi/dataforseo.json GET /dataforseo/ai_optimization/ai_keyword_data/locations_and_languages
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: DataForSEO API endpoints exposed through the AIsa unified gateway.
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/ai_optimization/ai_keyword_data/locations_and_languages:
    get:
      summary: List of Locations and Languages for AI Keyword Data API
      description: >-
        Using this endpoint you can get the full list of locations and languages
        supported in AI Keyword Data API.
      operationId: get_dataforseo_ai_optimization_ai_keyword_data_locations_and_languages
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: the current version of the API
                  status_code:
                    type: integer
                    description: >-
                      general status code you can find the full list of the
                      response codes here
                  status_message:
                    type: string
                    description: >-
                      general informational message you can find the full list
                      of general informational messages here
                  time:
                    type: string
                    description: execution time, seconds
                  cost:
                    type: number
                    description: total tasks cost, USD
                  tasks_count:
                    type: integer
                    description: the number of tasks in the tasks array
                  tasks_error:
                    type: integer
                    description: >-
                      the number of tasks in the tasks array returned with an
                      error
                  tasks:
                    type: array
                    items:
                      type: string
                    description: array of tasks
                  tasks.id:
                    type: string
                    description: >-
                      task identifier unique task identifier in our system in
                      the UUID format
                  tasks.status_code:
                    type: integer
                    description: >-
                      status code of the task generated by DataForSEO; can be
                      within the following range: 10000-60000 you can find the
                      full list of response codes here
                  tasks.status_message:
                    type: string
                    description: >-
                      informational message of the task you can find the full
                      list of general informational messages here
                  tasks.time:
                    type: string
                    description: execution time, seconds
                  tasks.cost:
                    type: number
                    description: cost of the task, USD
                  tasks.result_count:
                    type: integer
                    description: number of elements in the result array
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: URL path
                  tasks.data:
                    type: object
                    description: >-
                      contains the parameters passed in the URL of the GET
                      request
                  tasks.result:
                    type: array
                    items:
                      type: string
                    description: array of results
                  tasks.result.location_code:
                    type: integer
                    description: location code
                  tasks.result.location_name:
                    type: string
                    description: full name of the location
                  tasks.result.available_languages:
                    type: array
                    items:
                      type: string
                    description: >-
                      supported languages contains the languages which are
                      supported for a specific location
                  tasks.result.available_languages.language_name:
                    type: string
                    description: language name
                  tasks.result.available_languages.language_code:
                    type: string
                    description: language code according to ISO 639-1
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '429':
          description: Rate limit exceeded
        '500':
          description: Internal server error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````